Subject: [Sipping] Comments on app-interaction-framework-00

From: "Eric Burger" <[email-masked]>
Date: Thu, 6 Nov 2003 04:44:10 -0500

First Section 5.2 Open issue (does normative stuff belong?):
I don't think so.  Going back to the original format, this section is really our current understanding of the former App-Info header.  I can go either way: we can separate it, as it was separate before.  Or, we can fold it in, to keep it all in a single document.

Second Section 5.2 Open issue (GRUU requirement):
If a SUBSCRIBE gets sent on an INVITE-initiated dialog (e.g., same CallId, To, From, and presumably, route set), won't the SUBSCRIBE end up at the same end point?  If so, why do we need the GRUU?  I can see needing a GRUU for third-party requests (e.g., not on a dialog), but that would be an option, not a MUST.

Section 7.1 refers to the old digit suppression scheme (Q's).  We can update this w/ consensus on the new pre= method.

Nits:

Section 3.2: "application operation in asynchonously" should probably be worded as "Non-real-time interaction allows the user to asynchronously enter information about application operation with its invocation."

Section 4, 4th paragraph
instantiate one of more
instantiate one or more
                 ^

Section 4, page 14 (text version), last full paragraph on page, 3rd line:
Extra space before "HTML"

Section 5.3, second paragraph:
This allows the UI to updated in response
This allows the UI to update in response
                            ^

Section 5.4, third paragraph
The applciatio needs to be prepared
The applciation needs to be prepared
              ^

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP